## EomThumbView EomThumbView |

## Functions

GtkWidget * | eom_thumb_view_new ()
void | eom_thumb_view_set_model ()
void | eom_thumb_view_set_item_height ()
guint | eom_thumb_view_get_n_selected ()
EomImage * | eom_thumb_view_get_first_selected_image ()
GList * | eom_thumb_view_get_selected_images ()
void | eom_thumb_view_select_single ()
void | eom_thumb_view_set_current_image ()
void | eom_thumb_view_set_thumbnail_popup ()

## Types and Values

enum | EomThumbViewSelectionChange
struct | EomThumbView

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkIconView
                        ╰── EomThumbView

## Implemented Interfaces

EomThumbView implements AtkImplementorIface, GtkBuildable, GtkCellLayout, GtkScrollable and GtkOrientable.

## Description

## Functions

### eom_thumb_view_new ()

    GtkWidget *
    eom_thumb_view_new (void);

Creates a new EomThumbView object.

#### Returns

a newly created EomThumbView.

### eom_thumb_view_set_model ()

    void
    eom_thumb_view_set_model (EomThumbView *thumbview,
                              EomListStore *store);

Sets the EomListStore to be used with `thumbview` . If an initial image was set during `store` creation, its thumbnail will be selected and visible.

#### Parameters

thumbview | A EomThumbView. |
store | A EomListStore. |

### eom_thumb_view_set_item_height ()

    void
    eom_thumb_view_set_item_height (EomThumbView *thumbview,
                                    gint height);

Sets the height of each thumbnail in `thumbview` .

#### Parameters

thumbview | A EomThumbView. |
height | The desired height. |

### eom_thumb_view_get_n_selected ()

    guint
    eom_thumb_view_get_n_selected (EomThumbView *thumbview);

Gets the number of images that are currently selected in `thumbview` .

#### Parameters

thumbview | An EomThumbView. |

#### Returns

the number of selected images in `thumbview` .

### eom_thumb_view_get_first_selected_image ()

    EomImage *
    eom_thumb_view_get_first_selected_image
                                   (EomThumbView *thumbview);

Returns the first selected image. Note that the returned EomImage is not ensured to be really the first selected image in `thumbview` , but generally, it will be.

#### Parameters

thumbview | A EomThumbView. |

#### Returns

A EomImage.

[transfer full]

### eom_thumb_view_get_selected_images ()

    GList *
    eom_thumb_view_get_selected_images (EomThumbView *thumbview);

Gets a list with the currently selected images. Note that a new reference is hold for each image and the list must be freed with `g_list_free()`.

#### Parameters

thumbview | A EomThumbView. |

#### Returns

A newly allocated list of EomImage's.

[element-type EomImage][transfer full]

### eom_thumb_view_select_single ()

    void
    eom_thumb_view_select_single (EomThumbView *thumbview,
                                  EomThumbViewSelectionChange change);

Changes the current selection according to a single movement described by EomThumbViewSelectionChange. If there are no thumbnails currently selected, one is selected according to the natural selection according to the EomThumbViewSelectionChange used, p.g., when `EOM_THUMB_VIEW_SELECT_RIGHT` is the selected change, the first thumbnail will be selected.

#### Parameters

thumbview | A EomThumbView. |
change | A EomThumbViewSelectionChange, describing the desired selection change. |

### eom_thumb_view_set_current_image ()

    void
    eom_thumb_view_set_current_image (EomThumbView *thumbview,
                                      EomImage *image,
                                      gboolean deselect_other);

Changes the status of a image, marking it as currently selected. If `deselect_other` is `TRUE`, all other selected images will be deselected.

#### Parameters

thumbview | A EomThumbView. |
image | The image to be selected. |
deselect_other | Whether to deselect currently selected images. |

### eom_thumb_view_set_thumbnail_popup ()

    void
    eom_thumb_view_set_thumbnail_popup (EomThumbView *thumbview,
                                        GtkMenu *menu);

Set the contextual menu to be used with the thumbnails in the widget. This can be done only once.

#### Parameters

thumbview | An EomThumbView. |
menu | A GtkMenu. |

## Types and Values

### enum EomThumbViewSelectionChange

#### Members

EOM_THUMB_VIEW_SELECT_CURRENT |  |
EOM_THUMB_VIEW_SELECT_LEFT |  |
EOM_THUMB_VIEW_SELECT_RIGHT |  |
EOM_THUMB_VIEW_SELECT_FIRST |  |
EOM_THUMB_VIEW_SELECT_LAST |  |
EOM_THUMB_VIEW_SELECT_RANDOM |  |

### struct EomThumbView

    struct EomThumbView;